package alx.czysta_java.p05_kolekcje;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.TreeSet;

public class PierwszeKolekcje {

    public static void main(String[] args) {
        String[] tablica1 = new String[5];
        System.out.println(tablica1.length);
        System.out.println(tablica1);
        System.out.println(Arrays.toString(tablica1));
        tablica1[0] = "Warszawa";
        tablica1[1] = "Kraków";
        tablica1[2] = "Wrocław";
        System.out.println(Arrays.toString(tablica1));

        // final nie jest potrzebne, a pokazuję tylko, że jego użycie nie zapobiega modyfikacji zawartości tablicy
        final String[] tablica2 = {"Londyn", "Paryż", "Berlin"};
        System.out.println(Arrays.toString(tablica2));
        tablica2[0] = "Lądek";
        System.out.println(Arrays.toString(tablica2));

        List<String> lista = new ArrayList<>();
        System.out.println(lista);
        lista.add("Ala");
        lista.add("Basia");
        lista.add("Celina");
        lista.add("Basia");
        System.out.println(lista);

        System.out.println(lista.get(1)); // ta operacja działa szybko dla ArrayList, ale wolno dla LinkedList
        // iteracja za pomocą pętli for
        for (String imie : lista) {
            System.out.println("Witaj " + imie);
        }
        System.out.println();

        // Set - nie zawiera powtórzeń
        //   - HashSet - zmienia kolejność, ale działa najszybciej
        //   - TreeSet - sortuje rosnąco
        Set<String> set1 = new HashSet<>(lista);
        System.out.println("set: " + set1);

        Set<String> set2 = new TreeSet<>();
        set2.addAll(lista);
        set2.add("Ącki");
        System.out.println("set: " + set2);

        System.out.println();
        // słownik
        Map<String, Integer> mapa = new HashMap<>();
        mapa.put("Ala", 30);
        mapa.put("Ela", 40);
        mapa.put("Ola", 50);
        System.out.println(mapa);
        mapa.put("Ala", 31);
        System.out.println(mapa);

        // odczyt elementu spod określonego klucza
        Integer wiekAli = mapa.get("Ala");
        System.out.println(wiekAli);
        // gdy dla danego klucza nie ma wartości - wynikiem jest null
        // właśnie dlatego trzeba tu użyć typu Integer a nie int
        Integer wiekKasi = mapa.get("Kasia");
        System.out.println(wiekKasi);

    }
}
