package alx.czysta_java.p05_kolekcje;

import java.text.Collator;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Locale;

public class SortowanieAlfabetyczne {
    public static void main(String[] args) {
        List<String> lista = new ArrayList<>(List.of("Łukasz", "Agnieszka", "Zenon", "Ala", "Ali", "Ćma", "Lara", "Marek", "Mikołaj"));
        System.out.println(lista);

        // sortowanie domyślne
        lista.sort(null); // równoważne: Collections.sort(lista)
        System.out.println(lista);

        // sortowanie alfabetyczne:
        lista.sort(Collator.getInstance()); // zgodnie z ustawieniami językowymi systemu
        System.out.println(lista);

        lista.sort(Collator.getInstance(new Locale("pl", "PL")));
        System.out.println(lista);

        lista.sort(Collator.getInstance(new Locale("fr", "FR")));
        System.out.println(lista);

        // przykład definiowania "Comparatora" za pomocą wyrażenia lambda
        lista.sort((e1, e2) -> e1.length() - e2.length());
        System.out.println(lista);

        // chociaż tak naprawdę mogę skorzystać z comparingInt
        lista.sort(Comparator.comparingInt(String::length));
        System.out.println(lista);
    }
}
