package com.example.waluty;

import java.time.LocalDate;
import java.util.Collection;
import java.util.Map;
import java.util.TreeMap;

public class ExchangeRatesTable {
    private final String table;
    private final String no;
    private final LocalDate effectiveDate;
    private final Map<String, Rate> rates = new TreeMap<>();
    
    public ExchangeRatesTable() {
        table = null;
        no = null;
        effectiveDate = null;
    }

    public ExchangeRatesTable(String table, String no, LocalDate effectiveDate) {
        this.table = table;
        this.no = no;
        this.effectiveDate = effectiveDate;
    }

    public String getTable() {
        return table;
    }

    public String getNo() {
        return no;
    }

    public LocalDate getEffectiveDate() {
        return effectiveDate;
    }

    @Override
    public String toString() {
        return "Tabela " + table + " nr " + no
                + " z dnia " + effectiveDate + " (" + rates.size() + " walut)";
    }
    
    public void add(Rate waluta) {
        rates.put(waluta.getCode(), waluta);
    }
    
    public Rate find(String kod) {
        return rates.get(kod);
    }
    
    public Collection<Rate> getRates() {
        return rates.values();
    }
    
    private static final String[] PUSTA_TABLICA = new String[0];
    
    public String[] getCodes() {
        return rates.keySet().toArray(PUSTA_TABLICA);
    }

}

