package com.example.waluty;

/* Ta klasa działa jako singleton, tzn w pamięci jest utrzymywany pojedynczy obiekt tej klasy,
   dostępny za pomocą getInstance. Dostęp do niego mają różne klasy aplikacji
   - w tym przypadku FirstFragment i SenondFragment.
   Rozwiązanie przypomina stosowanie zmiennych globalnych w innych językach programowania,
   dlatego przez  wiele osób jest uważane za niezbyt porządne.
   Ale jego zaletą jest prostota i łatwość dostępu do wspólnych danych przez różne fragmenty aplikacji.
 */
public class SingletonPobranaTabela {
    private static SingletonPobranaTabela instance;
    private ExchangeRatesTable table;

    public synchronized static SingletonPobranaTabela getInstance() {
        if(instance == null) {
            instance = new SingletonPobranaTabela();
        }
        return instance;
    }

    public synchronized ExchangeRatesTable getTable() {
        return this.table;
    };

    public synchronized void setTable(ExchangeRatesTable table) {
        this.table = table;
    };
}
